unit uDreieck1;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    PnlUeberschrift: TPanel;
    BitBtnBerechnen: TBitBtn;
    BitBtnAbbrechen: TBitBtn;
    GrpBoxEingabe: TGroupBox;
    LblSeiteA: TLabel;
    LblSeiteB: TLabel;
    LblSeiteC: TLabel;
    EdtSeiteA: TEdit;
    EdtSeiteB: TEdit;
    EdtSeiteC: TEdit;
    GrpBoxAusgabe: TGroupBox;
    LblFlaeche: TLabel;
    LblUmfang: TLabel;
    EdtFlaeche: TEdit;
    EdtUmfang: TEdit;
    LblSeiteAEinheit: TLabel;
    LblSeiteBEinheit: TLabel;
    LblSeiteCEinheit: TLabel;
    LblFlaecheEinheit: TLabel;
    LblUmfangEinheit: TLabel;
    LblTyp: TLabel;
    EdtTyp: TEdit;
    BitBtnInformation: TBitBtn;
    BitBtnSchliessen: TBitBtn;
    procedure BitBtnAbbrechenClick(Sender: TObject);
    procedure BitBtnBerechnenClick(Sender: TObject);
    procedure BitBtnInformationClick(Sender: TObject);
    procedure BitBtnSchliessenClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.DFM}

procedure TForm1.BitBtnBerechnenClick(Sender: TObject);
var
  a,b,c,Temp,Flaeche,Umfang: Real;
begin
  { Initialisierungen }
  a := StrToFloat(EdtSeiteA.Text);
  b := StrToFloat(EdtSeiteB.Text);
  c := StrToFloat(EdtSeiteC.Text);
  (*
  EdtTyp.Text := '';
  EdtUmfang.Text := '';
  EdtFlaeche.Text := '';
  *)

  { Berechnungen und Ausgabe }
  if (a + b > c) and (b + c > a) and (a + c > b) then begin  // Gueltiges Dreieck
    { Typ bestimmen }
    if (a = b) and (a = c) then EdtTyp.Text := 'Ein gleichseitiges Dreieck.';
    if (Sqr(a) + Sqr(b) = Sqr(c)) then EdtTyp.Text := 'Ein rechtwinkliges Dreieck.';  // Satz des Pythagoras
    if (a = b) and (a <> c) then EdtTyp.Text := 'Ein gleichschenkliges Dreieck.';
    if (a <> b) and (Sqr(a) + Sqr(b) <> Sqr(c)) then EdtTyp.Text := 'Ein allgemeines Dreieck.';

    { Umfang und Flaeche berechnen }
    Umfang := a + b + c;
    Temp := Umfang / 2;
    Flaeche := Sqrt(Temp * (Temp - a) * (Temp - b) * (Temp - c));  // Heronsche Dreiecksformel

    { Ausgabe (formatiert) }
    EdtFlaeche.Text := FloatToStrF(Flaeche,ffFixed,10,2);
    EdtUmfang.Text := FloatToStrF(Umfang,ffFixed,10,2);
  end
  else
    EdtTyp.Text := 'Ein ungltiges Dreieck.';  // Ungueltiges Dreieck
end;

{ **************************************************************************** }

procedure TForm1.BitBtnAbbrechenClick(Sender: TObject);
begin
  { Reinitialisierungen }
  EdtSeiteA.Text := '';
  EdtSeiteB.Text := '';
  EdtSeiteC.Text := '';
  EdtTyp.Text := '';
  EdtFlaeche.Text := '';
  EdtUmfang.Text := '';
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInformationClick(Sender: TObject);
begin
  MessageDlg('Dreieck (V1.0)' + #13 +
    'Programm zur Berechnung von Typ, Flcheninhalt und Umfang' + #13 +
    'beliebiger Dreiecke.' + #13 + #13 +
    'M. Zirbes, 2009' + #13 + #13 +
    'Bei diesem Programm handelt es sich um Freeware,' + #13 +
    'd.h. es steht zur kostenlosen Nutzung frei zur Verfgung' + #13 +
    'und darf ohne Entgelt vervielfltigt und verbreitet werden.' + #13 + #13 +
    'Kontakt: schule@mijozi.de',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnSchliessenClick(Sender: TObject);
begin
  Close;
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.
